Subject: Re: comint-completion-addsuffix and shell-mode hook

From: "Ulrich Roxburgh" <[email-masked]>
Date: Tue, 10 Sep 1996 09:30:46 +1200

I also use the MKS toolkit (and highly recommend it). I don't know where I
got the following lines in my .emacs from, so I can't credit the
appropriate person, but it was someone on this list. Add the lines

;; Fix for filename completion
(add-hook 'shell-mode-hook '(lambda () (setq comint-file-name-quote-list
nil)))
(setq comint-completion-addsuffix '("/" . ""))
(add-hook 'comint-output-filter-functions 'comint-strip-ctrl-m)

to your .emacs. This seems to fully integrate the "/" and "\" features, and
remove trailing ^M as well. 

----------
> From: Mark D. Grosen <[email-masked]>
> To: [email-masked]
> Subject: comint-completion-addsuffix and shell-mode hook
> Date: Tuesday, September 10, 1996 4:54 AM
> 
> I use the MKS Toolkit and its Korn shell under emacs. This shell uses "/"
> as the path separator. As a result, I would like to have
> comint-completion-addsuffix use the Unix style "/" and " " as the dir and
> file suffixes when doing completion.
> 
> The winnt.el file adds a hook for shell-mode that sets this var to ("\" .
" ").
> It appears that the standard binaries are dumped using this setting, so
> this hook is built in. I added my own hook, but since hooks are executed
in 
> LIFO order, it does not do any good. I don't see how I can automatically
> overcome this NT-specific default setting.
> 
> This is sort of a generic emacs question: How do you undo built in hooks?
> The FAQ warns about depending about the ordering of hooks, but does not
> suggest any workarounds.
> 
> Mark
> 
> Mark D. Grosen     [email-masked]      
> Spectron Microsystems / A Dialogic Company
> 315 Bollay Drive
> Goleta, CA 93117
> 805 968-5100       805 968-9770 (FAX)